Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Structures | Macros | Functions | Variables
ast.c File Reference
`#include "ruby.h"`
`#include "ruby/encoding.h"`
`#include "ruby/util.h"`
`#include "internal.h"`
`#include "node.h"`
`#include "vm_core.h"`
`#include "iseq.h"`
`#include "builtin.h"`
`#include "ast.rbinc"`

Go to the source code of this file.

## Data Structures
struct | ASTNodeData

## Macros
#define | NEW_CHILD(ast, node) node ? ast_new_internal(ast, node) : Qnil

## Functions
void | Init_ast (void)

## Variables
VALUE | rb_e_script

## Macro Definition Documentation

## ◆ NEW_CHILD

#define NEW_CHILD | ( |  | ast,
|  |  | node
| ) |  | node ? ast_new_internal(ast, node) : Qnil

Definition at line 245 of file ast.c.

## Function Documentation

## ◆ Init_ast()

void Init_ast | ( | void |  | ) |

Definition at line 684 of file ast.c.

## Variable Documentation

## ◆ rb_e_script

VALUE rb_e_script

Definition at line 1467 of file ruby.c.